> For the complete documentation index, see [llms.txt](https://docs.dfinance.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dfinance.co/getting_started/your_first_transaction.md).

# Your first transaction

Here is guide how to send your first transaction in **dfinance** network using **dncli**.

## Transfer coins to recipient

Let's try to send basic coins transfer transactions between two accounts.

Create another account:

```
dncli keys add recipient
```

To send **10 XFI** coins to this account needs to execute the next command:

```
dncli tx bank send <sender> <recipient> 10000000000000000000xfi
```

Replace **\<sender>** with your account address and **\<recipient>** with **\<recipient>** address.

We use **"1000000000000000000xfi"** as the amount because by default **XFI** has 18 decimals places, so to send **10 XFI** you have to keep decimals.

After execution, you will get transaction id in the output. To see transaction status execute:

```
dncli q tx <txId>
```

Also now you can query a recipient account and see how balance updated:

```
dncli q account <address>
```

Replace **\<address>** with recipient address to see updated balance.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.dfinance.co/getting_started/your_first_transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
